summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroli2015-06-12 21:54:09 +0200
committeroli2015-06-12 21:54:09 +0200
commitacb6f8825530d8f280f2bdab7f317e28e00b2848 (patch)
tree8493ebc50436f08ac29fbd10098cd22bfa67f34d
downloadaur-acb6f8825530d8f280f2bdab7f317e28e00b2848.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD21
2 files changed, 35 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8ec51bc0a59
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = animtext
+ pkgdesc = an SDL based utility to generate text animations in the style of old DOS prompts
+ pkgver = 1.0
+ pkgrel = 2
+ url = http://luolamies.org/software/misc/
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = sdl
+ source = http://luolamies.org/software/misc/animtext.tar.gz
+ md5sums = 5871c00f4396d4eabf70ffb905a20d21
+
+pkgname = animtext
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bf2e021baec
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,21 @@
+# Contributor: jose <jose1711 [at] gmail (dot) com>
+
+pkgname=animtext
+arch=('i686' 'x86_64')
+pkgver=1.0
+pkgrel=2
+pkgdesc="an SDL based utility to generate text animations in the style of old DOS prompts"
+license=('unknown')
+url="http://luolamies.org/software/misc/"
+depends=('sdl')
+source=("http://luolamies.org/software/misc/$pkgname.tar.gz")
+md5sums=('5871c00f4396d4eabf70ffb905a20d21')
+
+build() {
+cd $srcdir/$pkgname
+make || return 1
+install -D -m755 ./animtext $pkgdir/usr/bin/animtext
+install -D -m644 ./README $pkgdir/usr/share/doc/animtext/README
+install -D -m644 ./t.txt $pkgdir/usr/share/doc/animtext/t.txt
+install -D -m644 ./test.txt $pkgdir/usr/share/doc/animtext/test.txt
+}